RIVET-CHOPBINS(1)

NAME
rivet-chopbins - Strip specified bins from data sets.

SYNOPSIS
rivet-chopbins -b <HISTO/PATH:min:max> [ -b ... ] <AIDAFILE> [...]

DESCRIPTION
Strip specified bins from data sets. Histograms not specified will be passed through without any chopping. Bins to be kept can be specified on command line `-b' options.

To chop bins from different observables can be achieved by using the `-b' option multiple times.

OPTIONS

-h, --help
    show this help message and exit

-b BINS, --bins=BINS
    Specify a histogram and bin range that is to be kept. The format is `AIDAPATH:start:stop'.

-O OBSFILE, --obsfile=OBSFILE
    Specify a file with bin-definitions to chop

-o OUTDIR, --out=OUTDIR
    output directory (default: .)

-i, --in-place
    Overwrite input file rather than making inputchop.aida

Example:

    rivet-chopbins -b /ALEPH_1996_S3486095/d03-x01-y01:0.095:0.27 out.aida

This will give you the all bins of the ALEPH 1-T distribution that are between the bins that contain the x-values 0.095 and 0.27.

AUTHOR
This manual page was written by Lifeng Sun <lifongsun@gmail.com> for the Debian system (but may be used by others).